MB2MD(1)

NAME
mb2md — Converts Mbox mailboxes to Maildir format.

SYNOPSIS

mb2md [-h]

mb2md [-c] [-m] [-d destdir]

mb2md [-c] [-s sourcefile] [-d destdir]

mb2md [-c] [-s sourcedir] [-l wu-mailboxlist] [-R|-f somefolder] [-d destdir] [-r strip_extension]

DESCRIPTION

mb2md Converts Mbox mailboxes to Maildir format.

OPTIONS

-h  Show summary of options.

-c  Use the Content-Length: headers (if present) to find the beginning of the next message. Use with caution! Results may be unreliable. I recommend to do a run without "-c" first and only use it if you are certain, that the mbox in question really needs the "-c" option.

-m  If this is used then the source will be the single mailbox at /var/spool/mail/blah for user blah and the destination mailbox will be the "destdir" mailbox itself.

-s sourcedir
    Directory, relative to the user's home directory, which is where the the "somefolders" directories are located. Or if directory starts with a "/" or "." it is taken as a absolute path, e.g. /mnt/oldmail/user _OR_ A single mbox file which will be converted to the destdir.

-R  If defined, do not skip directories found in a mailbox directory, but runs recursively into each of them, creating all wanted folders in Maildir.

    Incompatible with '-f'

-f somefolder
    Directories, relative to "sourcedir" where the Mbox files are. All mailboxes in the "sourcedir" directory will be converted and placed in the "destdir" directory. (Typically the Inbox directory which in this instance is also functioning as a folder for other mailboxes.)

    The "somefolder" directory name will be encoded into the new mailboxes' names. See the example in the USAGE file (see below).

    This does not save an UW IMAP dummy message file at the start of the Mbox file. Small changes in the code could adapt it for looking for other distinctive patterns of dummy messages too.

    Don't let the source directory you give as "somefolders" contain any "."s in its name, unless you want to create subfolders from the IMAP user's point of view. See the example in the USAGE file (see below).

    Incompatible with '-R'

-d destdir
    Directory where the Maildir format directories will be created. If not given, then the destination will be ~/Maildir . Typically, this is what the IMAP server sees as the Inbox and the folder for all user mailboxes. If this begins with a '/' the path is considered to be absolute, otherwise it is relative to the users home directory.

-r strip_extension
    If defined this extension will be stripped from the original mailbox file name before creating the corresponding maildir. The extension must be given without the leading dot ("."). See the example in the USAGE file (see below).

-l UW-file
    File containing the list of subscribed folders. If migrating from UW-IMAP the list of subscribed folders will be found in the file called .mailboxlist in the users home directory. This will convert all subscribed folders for a single user:

    /bin/mb2md -s mail -l .mailboxlist -R -d Maildir

    and for all users in a directory as root you can do the following:

    for i in *; do echo $i;su - $i -c "/bin/mb2md -s mail -l .mailboxlist -R -d Maildir";done

USAGE

Please read the USAGE documentation (zless /usr/share/doc/mb2md/USAGE.gz).

AUTHOR

This manual page was written by Noèl Köthe noel@debian.org for the Debian system (but may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.1 or any later version published by the Free Software Foundation; with no Invariant Sections, no Front-Cover Texts and no Back-Cover Texts.